Bug 1028996 - The message that guide user input ip address for role is confused.
The message that guide user input ip address for role is confused.
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: N. Harrison Ripps
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 07:51 EST by Johnny Liu
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-11-11 07:51:13 EST
Description of problem:
Guide message for CONF_NAMED_ENTRIES is not clear to user.

Version-Release number of selected component (if applicable):
oo-install-ose-2.0b-20131108-2228

How reproducible:
Always


Steps to Reproduce:
1. Following https://access.redhat.com/site/articles/492873 to do the following operation.
$ curl http://oo-install.rhcloud.com/ose-2.0b/ -o oo-install
$ chmod +x ./oo-install
$ ./oo-install -e -a
2. Try to install msgserver, dbserver, broker, node on separate machines. 

Actual results:
When inputing role's ip address info, the tools always show the following message:
<--snip-->
Do you want Nodes to use this IP information to reach this Broker?
(y/n/q/?) n

Specify the IP address that Nodes will use to connect to this Broker
(Detected xx.xx.xx.xx):
<--snip-->

It will confuse user, especially when user is inputing info for broker, msgserver, dbserver role, suggest to use this similar message to make it more clear.
<--snip-->
Do you want BIND to use this IP information to add DNS record for this role?
(y/n/q/?) n

Specify the IP address for this role(Detected xx.xx.xx.xx):
<--snip-->


Expected results:
Message should be more clear.

Additional info:
Comment 3 N. Harrison Ripps 2013-11-19 10:35:39 EST
This is a minor change. I will make it now. No work specific to this issue has been done.
Comment 4 N. Harrison Ripps 2013-11-19 10:43:30 EST
Replaced 'Broker' with 'host' instead of 'role'. This is to account for the fact that more than one role can be configured on a single host.

https://github.com/openshift/openshift-extras/pull/192
Comment 5 Johnny Liu 2013-11-20 01:11:49 EST
Re-test this bug with oo-install-20131119-1827, seem like there should be one more minor fix.

Broker:
Detected IP address 192.168.59.137 at interface eth0 for this host.
Do you want Nodes to use this IP information to reach this host?
(y/n/q/?) n          

Specify the IP address that Nodes will use to connect to this Broker
(Detected 192.168.59.137): 10.4.59.184
===> Should replace 'Broker' with 'host' to keep consistence with the above line, am I right?

MsgServer:
Detected IP address 192.168.59.140 at interface eth0 for this host.
Do you want Nodes to use this IP information to reach this host?
(y/n/q/?) n

Specify the IP address that Nodes will use to connect to this Broker
(Detected 192.168.59.140): 10.4.59.138
===> Should replace 'Broker' with 'host' to keep consistence with the above line, am I right?


DBServer:
Detected IP address 192.168.59.135 at interface eth0 for this host.
Do you want Nodes to use this IP information to reach this host?
(y/n/q/?) n

Specify the IP address that Nodes will use to connect to this Broker
(Detected 192.168.59.135): 10.4.59.142
===> Should replace 'Broker' with 'host' to keep consistence with the above line, am I right? And actually "Nodes" does not connect DBServer, only broker connect it.


Node:
Detected IP address 192.168.59.195 at interface eth0 for this host.
Do you want to use this as the public IP information for this Node?
(y/n/q/?) n

Specify the public IP address for this Node (Detected 192.168.59.195):
10.4.59.188
===> The description for Node is perfect.
Comment 6 N. Harrison Ripps 2013-11-20 14:35:28 EST
I missed a spot! Please try it again.
Comment 7 Johnny Liu 2013-11-21 00:27:45 EST
Verified this bug with oo-install-20131120-2343, PASS.

Broker:
Detected IP address 192.168.59.137 at interface eth0 for this host.
Do you want Nodes to use this IP information to reach this host?
(y/n/q/?) n

Specify the IP address that Nodes will use to connect to this host
(Detected 192.168.59.137): 10.4.59.184

Msgserver:
Detected IP address 192.168.59.140 at interface eth0 for this host.
Do you want Nodes to use this IP information to reach this host?
(y/n/q/?) n

Specify the IP address that Nodes will use to connect to this host
(Detected 192.168.59.140):

Dbserver:
Detected IP address 192.168.59.135 at interface eth0 for this host.
Do you want Nodes to use this IP information to reach this host?
(y/n/q/?) n

Specify the IP address that Nodes will use to connect to this host
(Detected 192.168.59.135):

Note You need to log in before you can comment on or make changes to this bug.